26 lines
1.1 KiB
Diff
26 lines
1.1 KiB
Diff
|
From 85bb744dfeb4f86979609b24323fec5181a1b98c Mon Sep 17 00:00:00 2001
|
||
|
From: Dave Young <dyoung@redhat.com>
|
||
|
Date: Mon, 26 Dec 2011 14:29:18 +0800
|
||
|
Subject: [PATCH] change root home dir to /root
|
||
|
|
||
|
ssh need to read knownhosts from home directory, so change root home to /root
|
||
|
|
||
|
Signed-off-by: Dave Young <dyoung@redhat.com>
|
||
|
---
|
||
|
modules.d/99base/module-setup.sh | 2 +-
|
||
|
1 files changed, 1 insertions(+), 1 deletions(-)
|
||
|
|
||
|
diff --git a/modules.d/99base/module-setup.sh b/modules.d/99base/module-setup.sh
|
||
|
index 03058b1..fad6c50 100755
|
||
|
--- a/modules.d/99base/module-setup.sh
|
||
|
+++ b/modules.d/99base/module-setup.sh
|
||
|
@@ -23,7 +23,7 @@ install() {
|
||
|
fi
|
||
|
|
||
|
#add common users in /etc/passwd, it will be used by nfs/ssh currently
|
||
|
- egrep '^root:' "$initdir/etc/passwd" 2>/dev/null || echo 'root:x:0:0::/:/bin/sh' >> "$initdir/etc/passwd"
|
||
|
+ egrep '^root:' "$initdir/etc/passwd" 2>/dev/null || echo 'root:x:0:0::/root:/bin/sh' >> "$initdir/etc/passwd"
|
||
|
egrep '^nobody:' /etc/passwd >> "$initdir/etc/passwd"
|
||
|
# install our scripts and hooks
|
||
|
inst "$moddir/init" "/init"
|